#include <iostream>

using namespace std;

int main()
{
    int brojBodova, minBodova;
    cin >> brojBodova >> minBodova;

    if(brojBodova < minBodova*3)
    {
        cout << -1;
        return 0;
    }

    if(brojBodova % 2 == 0){
        cout << to_string(minBodova) + " 0" << endl;
        cout << to_string(minBodova) + " 0" << endl;
        brojBodova -= minBodova * 2;

        if(brojBodova / 2 + 1 >= minBodova ) cout << to_string(brojBodova/2 + 1) + " " + to_string(brojBodova/2 - 1);
        else cout << to_string(minBodova) + " " + to_string(brojBodova - minBodova);
    }
    else {
            if(minBodova == 2) cout << -1;
            else {
                cout << to_string(minBodova) + " 0" << endl;
                cout << to_string(minBodova) + " 1" << endl;
                brojBodova -= minBodova * 2;
                brojBodova--;
                if(brojBodova / 2 + 1 >= minBodova ) cout << to_string(brojBodova/2 + 1) + " " + to_string(brojBodova/2 - 1);
                else cout << to_string(minBodova) + " " + to_string(brojBodova - minBodova);
            }
    }
    return 0;
}